ALL_FIGURE_NAMES=$(shell cat jcaa_article_final_en5.figlist)
ALL_FIGURES=$(ALL_FIGURE_NAMES:%=%.pdf)

allimages: $(ALL_FIGURES)
	@echo All images exist now. Use make -B to re-generate them.

FORCEREMAKE:

include $(ALL_FIGURE_NAMES:%=%.dep)

%.dep:
	mkdir -p "$(dir $@)"
	touch "$@" # will be filled later.

jcaa_article_final_en5-figure0.pdf: 
	pdflatex -shell-escape -halt-on-error -interaction=batchmode -jobname "jcaa_article_final_en5-figure0" "\def\tikzexternalrealjob{jcaa_article_final_en5}\input{jcaa_article_final_en5}"; convert -density 300 -transparent white "jcaa_article_final_en5-figure0.pdf" "jcaa_article_final_en5-figure0.png"

jcaa_article_final_en5-figure0.pdf: jcaa_article_final_en5-figure0.md5
jcaa_article_final_en5-figure1.pdf: 
	pdflatex -shell-escape -halt-on-error -interaction=batchmode -jobname "jcaa_article_final_en5-figure1" "\def\tikzexternalrealjob{jcaa_article_final_en5}\input{jcaa_article_final_en5}"; convert -density 300 -transparent white "jcaa_article_final_en5-figure1.pdf" "jcaa_article_final_en5-figure1.png"

jcaa_article_final_en5-figure1.pdf: jcaa_article_final_en5-figure1.md5
jcaa_article_final_en5-figure2.pdf: 
	pdflatex -shell-escape -halt-on-error -interaction=batchmode -jobname "jcaa_article_final_en5-figure2" "\def\tikzexternalrealjob{jcaa_article_final_en5}\input{jcaa_article_final_en5}"; convert -density 300 -transparent white "jcaa_article_final_en5-figure2.pdf" "jcaa_article_final_en5-figure2.png"

jcaa_article_final_en5-figure2.pdf: jcaa_article_final_en5-figure2.md5
jcaa_article_final_en5-figure3.pdf: 
	pdflatex -shell-escape -halt-on-error -interaction=batchmode -jobname "jcaa_article_final_en5-figure3" "\def\tikzexternalrealjob{jcaa_article_final_en5}\input{jcaa_article_final_en5}"; convert -density 300 -transparent white "jcaa_article_final_en5-figure3.pdf" "jcaa_article_final_en5-figure3.png"

jcaa_article_final_en5-figure3.pdf: jcaa_article_final_en5-figure3.md5
jcaa_article_final_en5-figure4.pdf: 
	pdflatex -shell-escape -halt-on-error -interaction=batchmode -jobname "jcaa_article_final_en5-figure4" "\def\tikzexternalrealjob{jcaa_article_final_en5}\input{jcaa_article_final_en5}"; convert -density 300 -transparent white "jcaa_article_final_en5-figure4.pdf" "jcaa_article_final_en5-figure4.png"

jcaa_article_final_en5-figure4.pdf: jcaa_article_final_en5-figure4.md5
jcaa_article_final_en5-figure5.pdf: 
	pdflatex -shell-escape -halt-on-error -interaction=batchmode -jobname "jcaa_article_final_en5-figure5" "\def\tikzexternalrealjob{jcaa_article_final_en5}\input{jcaa_article_final_en5}"; convert -density 300 -transparent white "jcaa_article_final_en5-figure5.pdf" "jcaa_article_final_en5-figure5.png"

jcaa_article_final_en5-figure5.pdf: jcaa_article_final_en5-figure5.md5
jcaa_article_final_en5-figure6.pdf: 
	pdflatex -shell-escape -halt-on-error -interaction=batchmode -jobname "jcaa_article_final_en5-figure6" "\def\tikzexternalrealjob{jcaa_article_final_en5}\input{jcaa_article_final_en5}"; convert -density 300 -transparent white "jcaa_article_final_en5-figure6.pdf" "jcaa_article_final_en5-figure6.png"

jcaa_article_final_en5-figure6.pdf: jcaa_article_final_en5-figure6.md5
jcaa_article_final_en5-figure7.pdf: 
	pdflatex -shell-escape -halt-on-error -interaction=batchmode -jobname "jcaa_article_final_en5-figure7" "\def\tikzexternalrealjob{jcaa_article_final_en5}\input{jcaa_article_final_en5}"; convert -density 300 -transparent white "jcaa_article_final_en5-figure7.pdf" "jcaa_article_final_en5-figure7.png"

jcaa_article_final_en5-figure7.pdf: jcaa_article_final_en5-figure7.md5
jcaa_article_final_en5-figure8.pdf: 
	pdflatex -shell-escape -halt-on-error -interaction=batchmode -jobname "jcaa_article_final_en5-figure8" "\def\tikzexternalrealjob{jcaa_article_final_en5}\input{jcaa_article_final_en5}"; convert -density 300 -transparent white "jcaa_article_final_en5-figure8.pdf" "jcaa_article_final_en5-figure8.png"

jcaa_article_final_en5-figure8.pdf: jcaa_article_final_en5-figure8.md5
jcaa_article_final_en5-figure9.pdf: 
	pdflatex -shell-escape -halt-on-error -interaction=batchmode -jobname "jcaa_article_final_en5-figure9" "\def\tikzexternalrealjob{jcaa_article_final_en5}\input{jcaa_article_final_en5}"; convert -density 300 -transparent white "jcaa_article_final_en5-figure9.pdf" "jcaa_article_final_en5-figure9.png"

jcaa_article_final_en5-figure9.pdf: jcaa_article_final_en5-figure9.md5
jcaa_article_final_en5-figure10.pdf: 
	pdflatex -shell-escape -halt-on-error -interaction=batchmode -jobname "jcaa_article_final_en5-figure10" "\def\tikzexternalrealjob{jcaa_article_final_en5}\input{jcaa_article_final_en5}"; convert -density 300 -transparent white "jcaa_article_final_en5-figure10.pdf" "jcaa_article_final_en5-figure10.png"

jcaa_article_final_en5-figure10.pdf: jcaa_article_final_en5-figure10.md5
jcaa_article_final_en5-figure11.pdf: 
	pdflatex -shell-escape -halt-on-error -interaction=batchmode -jobname "jcaa_article_final_en5-figure11" "\def\tikzexternalrealjob{jcaa_article_final_en5}\input{jcaa_article_final_en5}"; convert -density 300 -transparent white "jcaa_article_final_en5-figure11.pdf" "jcaa_article_final_en5-figure11.png"

jcaa_article_final_en5-figure11.pdf: jcaa_article_final_en5-figure11.md5
jcaa_article_final_en5-figure12.pdf: 
	pdflatex -shell-escape -halt-on-error -interaction=batchmode -jobname "jcaa_article_final_en5-figure12" "\def\tikzexternalrealjob{jcaa_article_final_en5}\input{jcaa_article_final_en5}"; convert -density 300 -transparent white "jcaa_article_final_en5-figure12.pdf" "jcaa_article_final_en5-figure12.png"

jcaa_article_final_en5-figure12.pdf: jcaa_article_final_en5-figure12.md5
